List Storage instances

get https://app.mk.io/api/v1/projects/:project_name/media/storage

Listing, Sorting and Filtering Storage Instances

This endpoint returns the list of storage instances in the specified project.

Sorting

The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.

Sorting is valid on the following fields: created, createdBy, id, name, privateLinkServiceConnectionStatus, type, updated, updatedBy, url

Filtering

The $filter query parameter allows for storage instances to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.

Filters are valid on the following fields: cloud/name, cloud/region/name, created, createdBy, createdByEmail, createdByName, id, name, privateLinkServiceConnectionStatus, region, type, updated, updatedBy, updatedByEmail, updatedByName, url

Examples:

?$top=10 - Returns only the first 10 storage instances from the list.

?$orderby=name desc - Sorts storage instances by name in descending order.

?$filter=name eq 'descriptive name' - Returns storage instances that match the provided name.

?$orderby=created desc - Sorts storage instances by creation date in descending order.

?$filter=created ge 2021-01-01T00:00:00Z - Returns storage instances created after January 1, 2021.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required

Query parameters

$orderby string Optional
Specifies the key by which the result collection should be ordered.
$filter string Optional
Restricts the set of items returned.
$top string Optional
Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptoken string Optional
Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

Response

200 A list of Storage instances
@odata.nextLinkstringOptional
@odata.nextLink URL if the page length and number of items match.
supplementalobjectListResponseSupplementalSchemaRequired
Supplemental info
Show 5 propertiesHide 5 properties
countintegerRequired
Number of items returned
kindstringRequired
Type of items in the list
operationstringRequired
Operation type. Should always say 'list'
paginationobjectPaginationInfoSchemaRequired
Pagination info
Show 4 propertiesHide 4 properties
endintegerRequired
Position of the last item in the list
recordsintegerRequired
Total number of items returned in the list
startintegerRequired
Position of the first item in the list
totalintegerRequired
Total number of items in the project
subscriptionobjectProjectInfoSchemaOptional
Project info
Show 2 propertiesHide 2 properties
idstringRequired
Project ID
namestringRequired
Project name
valuelist of objectsStorageSchemaGetRequired
List of storage instances.
Show 4 propertiesHide 4 properties
kindstringOptional
The kind of record.
metadataobjectBlobStorageMetadataSchemaRequired
Metadata about the storage instance.
Show 8 propertiesHide 8 properties
createdstringOptionalformat: date-time
The time when the resource was created
createdBystringOptionalformat: uuid
ID of the user who created the resource
createdByEmailstringOptional
Email of the user who created the resource
idstringRequiredformat: uuid
The ID of the resource
namestringOptional
The name of the resource
updatedstringOptionalformat: date-time
The time when the resource was last updated
updatedBystringOptionalformat: uuid
ID of the user who last updated the resource
updatedByEmailstringOptional
Email of the user who last updated the resource
specobjectRequired
The specification of the storage instance.
Show 3 variantsHide 3 variants

Discriminated by type. Select one variant:

Microsoft.StorageobjectAzureStorageSpecRead
credentialobjectAzureCredentialReadOptional
The credential for the Azure Storage Account
Show 3 propertiesHide 3 properties
sasTokenstringRequiredpattern: ^\?([a-z]+=[^&]+)(&[a-z]+=[^&]+)+$
SAS Token for Azure Storage Account, including leading ?
signedExpirystringRequiredformat: date-time
The expiry time of the token.
signedStartstring or nullRequiredformat: date-time
The start time of the token.
descriptionstring or nullRequired
Description of the storage.
privateLinkServiceConnectionobject or nullPrivateLinkServiceConnectionNullableOptional
Optional settings for a Private Link. Set it to null to remove the Private Link.
Show 4 propertiesHide 4 properties
requestMessagestringRequired0-140 characters
A message passed to the owner of the remote resource with this connection request. This field cannot be modified, only set during creation.
resourceGroupNamestringRequired1-90 characters
The name of the resource group containing the storage account This field cannot be modified, only set during creation.
storageAccountNamestringRequired3-24 characters
The name of the storage account. The full Azure ID would be '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Storage/storageAccounts/{storageAccountName}' This field cannot be modified, only set during creation.
subscriptionIdstringRequiredformat: uuid
The ID of the Azure subscription containing the storage account This field cannot be modified, only set during creation.
regionstring or nullRequired
Storage region.
typeenumRequired
The type of storage. This field cannot be modified, only set during creation.
Allowed values:Microsoft.StorageAWS.S3Google.Storage
urlstringRequired
HTTP(S) URL required for access to the storage. This field cannot be modified, only set during creation.
AWS.S3objectAWSStorageSpecRead
bucketNamestringRequiredpattern: ^(?!.*\.\.)[a-z0-9][-a-z0-9.]{1,61}[a-z0-9]$
The name of the AWS S3 bucket. This field cannot be modified, only set during creation.
credentialobjectAWSCredentialOptional
The credential for the AWS S3 bucket. Required at creation.
Show 2 propertiesHide 2 properties
accessKeyIdstringRequiredpattern: ^A[KS]IA[0-9A-Z]{16}$
The access key ID for the bucket.
secretAccessKeystringRequiredpattern: ^[A-Za-z0-9+/=]{40}$
The secret access key for the bucket.
descriptionstring or nullRequired
Description of the storage.
regionstring or nullRequired
Storage region.
typeenumRequired
The type of storage. This field cannot be modified, only set during creation.
Allowed values:Microsoft.StorageAWS.S3Google.Storage
urlstringRequired
The URL of the S3 bucket
Google.StorageobjectGoogleStorageSpecRead
bucketNamestringRequired2-256 characters
The name of the Google Storage bucket. This field cannot be modified, only set during creation.
credentialobjectGoogleCredentialOptional
The credential for the Google Storage bucket. Required at creation.
Show 1 propertyHide 1 property
gacmap from strings to stringRequired
Google Application Credentials in JSON format.
You can generate this from the command line with gcloud iam service-accounts keys create key.json --iam-account=<service_account>@<project>.iam.gserviceaccount.com
Or download it from the GCP console.
Show value schemaHide value schema
[any key]string
descriptionstring or nullRequired
Description of the storage.
regionstring or nullRequired
Storage region.
typeenumRequired
The type of storage. This field cannot be modified, only set during creation.
Allowed values:Microsoft.StorageAWS.S3Google.Storage
statusobjectStorageStatusReadOptional
Additional status information regarding the storage instance.
Show 2 propertiesHide 2 properties
activeCredentialIdstring or nullRequiredformat: uuid
The ID of the active credential for this storage.
privateLinkServiceConnectionStatusenumOptional
The state of the Azure Private Connection, if enabled.
Allowed values:CreatingPendingReadyRunningDeletingDeleted

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code